#!/usr/bin/env bash

: "${1?How to use: $0 hh mm [MM DD]}"

var_time=$1:$2
var_date=$3/$4

if [[ "$var_date" != "/" ]]
then
	unix_time=$(date --date="${var_time} ${var_date}" +%s) 
else
	unix_time=$(date --date="${var_time}" +%s) 
fi

if [[ "$unix_time" -lt $(date +%s) ]] 
then 
	unix_time=$(date --date="${var_time} tomorrow" +%s)
fi

while (( "$unix_time" > $(date +%s) )); do
	sleep 30
done

mpc volume 20 > /dev/null
echo "ALARM!"
mpc play > /dev/null

for i in 10 20 30 30 20 10 ; do
	sleep ${i}
	mpc volume +10 > /dev/null
done
exit 0

